curl --request POST \
--url https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/receipts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"items": [
{
"purchase_order_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"received_quantity": 0
}
]
}
'{
"request_id": "<string>",
"data": {
"receipt": {
"object": "receipt",
"id": "<string>",
"purchase_order_warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"affected_products": [
{
"sku": "<string>",
"warehouse_id": "<string>"
}
]
},
"purchase_order": {
"object": "purchase_order",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": 0,
"formatted_order_number": "<string>",
"status": "draft",
"order_date": "2023-12-25",
"expected_date": "2023-12-25",
"currency": "<string>",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"tax_category": "<string>",
"payment_term_id": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>"
},
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordered_quantity": 123,
"received_quantity": 123,
"expected_unit_cost": 4503599627370495,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"product_type": "product",
"variant_options": {},
"option_names": [
"<string>"
]
}
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}Registra la recepción de líneas de una orden de compra confirmada. Requiere Idempotency-Key.
Required scopes: purchases:write.
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/receipts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"items": [
{
"purchase_order_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"received_quantity": 0
}
]
}
'{
"request_id": "<string>",
"data": {
"receipt": {
"object": "receipt",
"id": "<string>",
"purchase_order_warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"affected_products": [
{
"sku": "<string>",
"warehouse_id": "<string>"
}
]
},
"purchase_order": {
"object": "purchase_order",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": 0,
"formatted_order_number": "<string>",
"status": "draft",
"order_date": "2023-12-25",
"expected_date": "2023-12-25",
"currency": "<string>",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"tax_category": "<string>",
"payment_term_id": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>"
},
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordered_quantity": 123,
"received_quantity": 123,
"expected_unit_cost": 4503599627370495,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"product_type": "product",
"variant_options": {},
"option_names": [
"<string>"
]
}
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}Documentation Index
Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt
Use this file to discover all available pages before exploring further.
Incluí tu API key en el header Authorization con el prefijo Bearer.
Clave estable para deduplicar reintentos de la misma operación.
ID de la orden de compra
1Show child attributes
Was this page helpful?